| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.OpenGL.Pixmap

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Class Hierarchy
Types
Constructors
Methods

Description
OpenGL pixmap which is maintained off-screen
Synopsis

data GLPixmap
class DrawableClass o => GLPixmapClass o
castToGLPixmap :: GObjectClass obj => obj -> GLPixmap
glPixmapNew :: GLConfig -> Pixmap -> IO GLPixmap
glPixmapGetPixmap :: GLPixmap -> IO Pixmap

Class Hierarchy

     |  GObject
     |   +----Drawable
     |         +----GLPixmap

Types
data GLPixmap

Instances

GObjectClass GLPixmap
DrawableClass GLPixmap
GLDrawableClass GLPixmap
GLPixmapClass GLPixmap

class DrawableClass o => GLPixmapClass o

Instances

GLPixmapClass GLPixmap

castToGLPixmap :: GObjectClass obj => obj -> GLPixmap
Constructors
glPixmapNew

:: GLConfig |
-> Pixmap | `pixmap` - the `Pixmap` to be used as the rendering area.
-> IO GLPixmap |
Creates an off-screen rendering area.

Methods
glPixmapGetPixmap :: GLPixmap -> IO Pixmap
Returns the `Pixmap` associated with a `GLPixmap`.
Produced by Haddock version 2.4.2